UserDefinedValue (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.UserDefinedValue interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface UserDefinedValue

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface UserDefinedValue

extends ModelObject

Naming Rules:
  0="category,value"
Persistable:
  true
Table Name:
  USERDEFVALUE
Display Name:
  value

Method Summary
`java.lang.String` | `getCategory()`
`java.lang.String` | `getValue()`
`boolean` | `hasCategory()`
`boolean` | `hasValue()`
`void` | `setCategory(java.lang.String name)`
`void` | `setValue(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getCategory

    java.lang.String getCategory()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCategory

    void setCategory(java.lang.String name)

### hasCategory

    boolean hasCategory()

### getValue

    java.lang.String getValue()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setValue

    void setValue(java.lang.String name)

### hasValue

    boolean hasValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD